<!DOCTYPE html>
<html style="padding: 20px">
  <head>
    <meta charset="utf-8" />
    <title>Alteryx Python SDK Input Tool</title>

    <!-- Includes the GUI library, which gives you access to the interface elements used in Designer -->
    <script type="text/javascript">
      document.write(
        '<link rel="import" href="' +
          window.Alteryx.LibDir +
          '2/lib/includes.html">'
      );
    </script>
  </head>

  <style>
    .configItem {
      margin-bottom: 14px;
    }
  </style>

  <body>
    <h2>Alteryx Python SDK Salesforce Tool</h2>
    <p>This tool runs a query in salesforce.</p>

    <div class="configItem">
      <label hidden>XMSG("Value:")</label>
      <ayx
        data-ui-props='{type: "NumericSpinner", widgetId:"AppendValNum"}'
        hidden
      >
      </ayx>
      <br />
      <fieldset>
        <legend>Credentials:</legend>
        <br />
        <label>XMSG("Client id:")</label>
        <ayx
          data-ui-props='{type: "TextBox", widgetId: "client_id", placeholder: "Enter the client id"}'
          data-item-props='{dataName: "client-id", dataType: "SimpleString"}'
        >
        </ayx>
        <br />
        <label>XMSG("Client secret:")</label>
        <ayx
          data-ui-props='{type: "TextBox", widgetId: "client_secret", placeholder: "Enter the client secret"}'
          data-item-props='{dataName: "client-secret", dataType: "SimpleString", password: false}'
        >
        </ayx>

        <br />
        <label>XMSG("Username:")</label>
        <ayx
          data-ui-props='{type: "TextBox", widgetId: "username", placeholder: "Enter the username"}'
          data-item-props='{dataName: "username", dataType: "SimpleString"}'
        >
        </ayx>

        <br />
        <label>XMSG("Password:")</label>
        <ayx
          data-ui-props='{type: "TextBox", widgetId: "password", placeholder: "Enter the password"}'
          data-item-props='{dataName: "password", dataType: "SimpleString", password: false}'
        >
        </ayx>
      </fieldset>

      <br />

      <fieldset>
        <legend>Data inputs:</legend>
        <br />
        <label>XMSG("Query:")</label>
        <ayx
          data-ui-props='{type: "TextArea", widgetId: "query", placeholder: "Enter the query", rows: 6}'
          data-item-props='{dataName: "query", dataType: "SimpleString"}'
        >
        </ayx>
      </fieldset>
    </div>

    <script type="text/javascript">
      Alteryx.Gui.BeforeLoad = function (manager, AlteryxDataItems, json) {
        var valueSelector = new AlteryxDataItems.ConstrainedFloat("Value");
        valueSelector.setMin(0);
        valueSelector.setMax(1);
        valueSelector.setStep(0.1);

        // Add and bind the data items to the selector widgets
        manager.addDataItem(valueSelector);
        manager.bindDataItemToWidget(valueSelector, "AppendValNum"); // Bind to widget
      };
    </script>
  </body>
</html>
